function PutHTML(str)
{
   var ret   = "";
   var begin = 0;
   var end   = 0;
   var i;

   for (;;)
   {
     if (begin >= str.length) break;
     end = str.indexOf("<",begin);
     if (end == -1)
     {
       ret += str.substring(begin, str.length);
       break;
     }
     else
     {
       if (end > begin) ret += str.substring(begin, end);
       ret += "<B>&lt;</B>";
       if(str.charAt(++end) =="/") { ret += "/"; ++end; }
       ret += "<B class=nametag>";
       end++;
       // найти конец тега (пробел или >)
       i = EndTag(str,end);
       if (i == -1) break;
       ret += str.substring(end-1, i);
       ret += "</B>";
       if (str.charAt(i) != ">")
       {
         end = i;
         i = str.indexOf(">",end);
         if (i == -1) break;
         if (i > end) ret += str.substring(end, i);
       }
       ret += "<B>&gt;</B>";
       begin = i+1;
     }
   }
   return ret;
// return "<PRE>"+ret+"</PRE>";
}

function EndTag(str,end)
{
  var i;

  for(i=end; i < str.length; i++)
    if (str.charAt(i) == " " || str.charAt(i) == ">") return i;
  return -1;
}
